Subject: Increasing brain activity

From: Boosting Brain Power <[email-masked]>
Date: Thu, 19 Mar 2015 06:21:34 -0800

Re: Krb-wg-archive Can you please send over what we need for the meeting? I was unable to see the updated reports you send the other day. thanks for getting back to me so fast.

Breaking News: FDA Approves Brain Power Booster http://www.leesburgbrainclinic.com/harmonizer/48942/narcissist-8213-tempest.html
///>//////>//////

CNN-- With much media praise controversy is on the rise for the brainpower booster in a bottle, dubbed 'Fuel for the brain' (http://www.leesburgbrainclinic.com/harmonizer/48942/narcissist-8213-tempest.html) . Reported to increase brain power by 89.2%, sharpens your mind and sky-rockets energy levels.

Read More >> (http://www.leesburgbrainclinic.com/harmonizer/48942/narcissist-8213-tempest.html)
///>//////>//////
With such overwhelming evidence and media mention, the question is not whether it works, but whether it should be legal.

http://www.leesburgbrainclinic.com/harmonizer/48942/narcissist-8213-tempest.html
If you were able to get your hands on this would you try it?

US Edition | Video | TV | Opinions | Rem-settings (http://www.leesburgbrainclinic.com/snooper-64145_hairballs_1579-aviations_contemporarily.php) | CNF Reports Live | 9306 Bova :: Louisville :: KY 40291 :: Thanks

///>//////>//////

Thanks~ Maybe I should use "raw data" to replace "binary data" because all data in computer is binary... It's true that writing raw data is a dangerous behavior for a cross-platform application. But for applications on embedded systems which focus more on efficiency rather than portability, this may be a helpful approach :)  Mr. Ree Feb 18 at 3:02
1
@Mr.Ree: for sure - the functions are there to be called - just ever-so-slightly harder to do so for class/struct types, needing that cast. Regarding the dangers - if there are virtual functions, pointer data members etc. you're in trouble even on an embedded system, but C++ provides traits you can easily assert to ensure your struct data should be safe to read/write as a binary block....  Tony D Feb 18 at 4:39

@Mr.Ree: appended a response to another of your questions to my answer. Cheers.  Tony D Feb 18 at 4:51

I agree with what you have written. But, Java has 3 different layers of classes for reading text from a file (a stream, a reader and a buffered reader). I am not defending their design decisions but this also shows that current std::iostream implements different responsibilities into one gigantic construct. Using std:: objects are usually encouraged by Stroustrup himself just because of their RAII behavior. So instead of fwrite there should be a better alternative for current stream classes in the standard for byte streams imho.  zahir Feb 18 at 16:58

@zahir: from one perspective I agree with you it "ticks a box", from another it seems excessive, verbose and confusing for new devs to have an extra set of stream classes that only differ by having read and/or write functions take void* instead of char* - the Standard is long enough already. Users who want it can trivially roll their own. Buffering variations are already supported - see